Webs/ERP/Controllers/TrungtuyenController.cs
using App.Erp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using System.Data.Linq.SqlClient;

namespace App.Erp.Views.Ketqua
{
    public class TrungtuyenController : Controller
    {
        // GET: Chuyen
        public ActionResult Index(string CMT)
        {
            ViewBag.Title = "TRA CỨU THÍ SINH TRÚNG TUYỂN ĐẠI HỌC NĂM 2020 XÁC NHẬN NHẬP HỌC VÀO TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI";
            KetquaNKDataContext context = new KetquaNKDataContext();
            ViewBag.Masager = "Mời bạn nhập số chứng minh thư hoặc thể căn cước";
            if (string.IsNullOrEmpty(CMT))
            {
                ViewBag.Masager = "Bạn phải nhập số chứng minh thư hoặc thể căn cước";
                return View();
            }
            else
            {
                
                var row = context.Hnue_NhaphocTs.FirstOrDefault(k=>k.CMT==CMT);
                if (row is null)
                {
                    ViewBag.Masager = "Không tìm thấy kết quả";
                    ViewBag.Result = "";
                    return View();
                }
                else
                {
                    ViewBag.Result = "Kết quả:";
                    ViewBag.Masager = "";
                    ViewBag.Hoten = "Họ và tên: "+ row.Hoten;
                    ViewBag.SBD = "Số báo danh: " + row.SBD;
                    ViewBag.CMT = "Số CMT: " + row.CMT;
                    ViewBag.Gioi = "Giới tính: " + row.Gioi;
                    ViewBag.Ngaysinh = "Ngày sinh: " + row.NgaySinh;
                    ViewBag.MaNganhTT = "Mã ngành trúng tuyển: " + row.MaNganh;
                    ViewBag.TenNganhTT = "Tên ngành trúng tuyển: " + row.TenNganh;
                    ViewBag.DienTT  = "Diện trúng tuyển: " + row.DienTT;
                    ViewBag.Welcome = "Hẹn gặp em tại ngày nhập học!";
                    return View(row); 
                }
            }
        }
    }
}

Webs/ERP/Views/Trungtuyen/Index.cshtml
@using App.Erp.Providers
@using Core.Helper
@model App.Erp.Models.Hnue_NhaphocT
@{
    Layout = "~/Views/Shared/_LayoutHome.cshtml";
}
@using (Html.BeginForm("Index", "Trungtuyen", FormMethod.Get, new { id = "formData", role = "form" }))
{
    <div class="container hnue_form">
        <div class="text-center">
            <h3>BỘ GIÁO DỤC VÀ ĐÀO TẠO</h3>
            <h3>TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI</h3>
            <h2><b>TRA CỨU THÍ SINH TRÚNG TUYỂN ĐẠI HỌC NĂM 2020 <br/>XÁC NHẬN NHẬP HỌC VÀO TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI</b></h2>
        </div>
        <div class="row">
            <div class="col-12">
                <hr />
            </div>
            <div class="col-3 form-group">
                <label class="lbl-item">Nhập số chứng minh thư hoặc thẻ căn cước(*) VD: 071086873 </label>
                <input type="text" name="CMT" value="" class="form-control" />
            </div>
        </div>
        <div class="col-3 form-group">
            <br />
            <button type="submit" class="btn btn-primary">Tra cứu</button>
        </div>
        <div class="col-12">
            <hr />
            @ViewBag.Masager
            <h4><b>@ViewBag.Result</b></h4>
            @ViewBag.Hoten <br />
            @ViewBag.SBD <br />
            @ViewBag.CMT <br />
            @ViewBag.Gioi <br />
            @ViewBag.Ngaysinh <br />
            @ViewBag.MaNganhTT <br />
            @ViewBag.TenNganhTT <br />
            @ViewBag.DienTT <br /><br />
            <b>@ViewBag.Welcome</b> <br />
        </div>
        <hr />
        <div class="col-12">
            Ghi chú: Thí sinh xem thêm thông báo nhập học <a href="http://hnue.edu.vn/Tintuc-Sukien/Trangtintonghop/tabid/260/Category/64/News/8380/ThongbaothoigianvadiadiemdontieptansinhvienK70nam2020.aspx" target="_blank">tại đây</a>. <br />
            Phát triển bởi Trung tâm CNTT.
        </div>
    </div>
}
<style>
    .hnue_form {
        margin: 30px auto;
        border: 2px dashed #ddd;
        padding: 10px 30px;
        font-family: Arial;
        font-size: 14px;
    }
    .hnue_form label {
        font-weight:normal;
    }
    .hnue_form input {
        border-top: none;
        border-left: none;
        border-right: none;
        border-bottom: 2px dashed #ccc;
        background: #fafafa;
    }
</style>